unit word_active;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleServer, WordXP, StdCtrls;

type
  TFormActiveWord = class(TForm)
    WordApplicationActive: TWordApplication;
    WordDocumentNew: TWordDocument;
    LabelInfo: TLabel;
    LabelViewRes: TLabel;
    procedure WordApplicationActiveDocumentChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormActiveWord: TFormActiveWord;

implementation

{$R *.dfm}

procedure TFormActiveWord.WordApplicationActiveDocumentChange(Sender: TObject);
begin
     // Производим подключение к текущему документу
     WordDocumentNew.ConnectTo( WordApplicationActive.ActiveDocument);
     // Контроллер добавляет новую строку в текущий документ
     WordDocumentNew.Range.InsertAfter(#13+'Переход к документу'+#13+
         WordApplicationActive.ActiveDocument.Get_FullName+' произведен :'+
         DateTimeToStr(Now));
end;

procedure TFormActiveWord.FormCreate(Sender: TObject);
begin
      // Отображение результатов на экране
      WordApplicationActive.Visible:=true;
end;

end.
